Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTXabsl2ErrorHandler Class Reference

Implements Xabsl2ErrorHandler using the OUTPUT macro. More...

`#include <GTXabsl2EngineExecutor.h>`

Inheritance diagram for GTXabsl2ErrorHandler:

[legend]
Collaboration diagram for GTXabsl2ErrorHandler:

[legend]
List of all members.

## Public Member Functions
| GTXabsl2ErrorHandler (SolutionRequest::xabsl2EngineID id)
| Constructor.
virtual void | printError (const char *text)
| Prints out an error.
virtual void | printMessage (const char *text)
| Prints out a message.
## Private Attributes
SolutionRequest::xabsl2EngineID | id
| The id of the Xabsl2Engine.

## Detailed Description

Implements Xabsl2ErrorHandler using the OUTPUT macro.

Definition at line 19 of file GTXabsl2EngineExecutor.h.

## Constructor & Destructor Documentation

GTXabsl2ErrorHandler::GTXabsl2ErrorHandler | ( | SolutionRequest::xabsl2EngineID | id | ) |

  | Constructor. Parameters:
  id | The id of the Xabsl2Engine.
Definition at line 415 of file GTXabsl2EngineExecutor.cpp.

## Member Function Documentation

void GTXabsl2ErrorHandler::printError | ( | const char * | text | ) | `[virtual]`

  | Prints out an error. Parameters:
  text | The text to display
Implements Xabsl2ErrorHandler. Definition at line 420 of file GTXabsl2EngineExecutor.cpp. References idText, and OUTPUT.

void GTXabsl2ErrorHandler::printMessage | ( | const char * | text | ) | `[virtual]`

  | Prints out a message. Parameters:
  text | The text to display
Implements Xabsl2ErrorHandler. Definition at line 427 of file GTXabsl2EngineExecutor.cpp. References idText, and OUTPUT.

## Member Data Documentation

SolutionRequest::xabsl2EngineID GTXabsl2ErrorHandler::id`[private]`

| The id of the Xabsl2Engine. Definition at line 42 of file GTXabsl2EngineExecutor.h.

The documentation for this class was generated from the following files:

- Tools/Xabsl2/GT/GTXabsl2EngineExecutor.h
- Tools/Xabsl2/GT/GTXabsl2EngineExecutor.cpp